Zoho CRM Updates Requirements for Browser Versions

Zoho recently announced that they have upgraded the default internet browser versions needed to use Zoho CRM. This was done in order to make easier the usage of features like widgets and scripts, which are often implemented separately from advanced functionalities for many business requirements.

Zoho CRM Updates Requirements for Browser Versions
Photo by Pixabay via Pexels


According to Zoho, the latest browser update is aimed to provide better performance improvements available in the latest version of Zoho CRM.

Zoho warns that the oldest browser versions will not be supported starting October 15th, 2020. Consequently, it is important that all Zoho users upgrade their browsers before that date. As a reminder, Zoho CRM will display an in-product banner to remind users about that changes. The banner will be shown until October 15th, 2020.

After October 14th, 2020, Zoho users will be restricted to use their CRM accounts from the older versions of browsers, and they will be encouraged to get an upgrade.

To make sure that you are complying with the browser requirements, check the list below, which shows the current oldest versions of the browsers that are supported by Zoho and the recommended versions that Zoho users must upgrade to. For more information on system requirements, click here.

Minimum Required Browser Versions

Old

New

Chrome

49

73

Firefox

44

69

Safari

9

13

Opera

45

60

Edge

11

79

Do you need help with your Zoho CRM from an experienced support team? Click here to learn more about our Maintenance and Support Program for CRM.